Lists all bot users accessible to the authenticated client.

Usage Example

GET /api/v1/auth/bots
Authorization: Bearer {access_token}

Response:

[
  {
    "id": "bot-abc123",
    "email": "salesforce-bot@acme.com",
    "firstName": "Salesforce",
    "lastName": "Integration",
    "fullName": "Salesforce Integration"
  },
  {
    "id": "bot-def456",
    "email": "hubspot-bot@acme.com",
    "firstName": "HubSpot",
    "lastName": "Sync",
    "fullName": "HubSpot Sync"
  }
]

Security Note

Only returns bot users accessible within the authenticated client's organization(s). Bot users from other organizations are never exposed.

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/auth/bots
curl https://app.propstreet.com/api/v1/auth/bots \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": "bot-abc123",
    "email": "salesforce-integration@acme.com",
    "firstName": "Salesforce",
    "lastName": "Production Integration",
    "fullName": "Salesforce Production Integration"
  }
]